## latex-make 2.4.0

=== debian/changelog ===
latex-make (2.4.0-1) unstable; urgency=medium

  * new upstream release
    + fix subfig support
    + fix inkscape support (already present in 2.3.0-4 package)
  * back to debhelper-compat 13 (#959731 fixed in 13.1)

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 08 Jun 2020 11:51:31 +0200

latex-make (2.3.0-4) unstable; urgency=medium

  [ Vincent Danjean ]
  * Do not switch to debhelper-compat 13 until #959731 is fixed
  * Fix inkscape options (Closes: #959635)
  * update packaging (Standard-Version, DH version)
  * merge Andreas Tille conrtibutions as I forgot to push last version to salsa

  [ Andreas Tille ]
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target (routine-
    update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Add missing build dependency on dh addon.
  * Switch to Python3
  * Drop useless Build-Depends from quilt

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 11 May 2020 14:17:59 +0200

=== debian/control ===
Source: latex-make
Maintainer: Vincent Danjean <vdanjean@debian.org>
Section: tex
Priority: optional
Build-Depends: debhelper-compat (= 13),
               debhelper (>= 13.1~),
               tex-common
Build-Depends-Indep: texlive-latex-recommended,
                     texlive-lang-french,
                     texlive-luatex,
                     python3,
                     texlive-latex-extra,
                     fig2dev,
                     inkscape (>= 1.0~rc1),
                     ghostscript,
                     texlive-fonts-recommended
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/debian/latex-make
Vcs-Git: https://salsa.debian.org/debian/latex-make.git
Homepage: https://gforge.inria.fr/projects/latex-utils/
Rules-Requires-Root: no

Package: latex-make
Architecture: all
Depends: ${misc:Depends},
         make,
         python3
Recommends: texlive-latex-recommended,
            inkscape,
            fig2dev,
            ghostscript,
            texlive-latex-extra
Description: easy compiling of complex (and simple) LaTeX documents
 This package provides several tools that aim to simplify the
 compilation of LaTeX documents:
 .
 LaTeX.mk: a Makefile snippet to help compiling LaTeX documents in
 DVI, PDF, PS, ... format. Dependencies are automatically tracked: one
 should be able to compile documents with a one-line Makefile
 containing 'include LaTeX.mk'. Complex documents (with multiple
 bibliographies, indexes, glossaries, ...) should be correctly managed.
 .
 figlatex.sty: a LaTeX package to easily insert xfig figures (with
 \includegraphics{file.fig}). It can interact with LaTeX.mk so that the
 latter automatically invokes fig2dev if needed.
 .
 And various helper tools for LaTeX.mk

## latex-make 2.4.1

=== debian/changelog ===
latex-make (2.4.1-1) unstable; urgency=medium

  * new upstream release
    + fix encoding error in latex-filter
  * switch to new home website (gitlab.inria.fr)
  * remove template from watch file
  * document debian specific patches

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 04 Aug 2020 10:29:52 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian/latex-make
 Vcs-Git: https://salsa.debian.org/debian/latex-make.git
-Homepage: https://gforge.inria.fr/projects/latex-utils/
+Homepage: https://gitlab.inria.fr/latex-utils/latex-make
 Rules-Requires-Root: no
 
 Package: latex-make

## latex-make 2.4.2

=== debian/changelog ===
latex-make (2.4.2-1) unstable; urgency=medium

  * new upstream release
    - Fix FTBFS (Closes: #976556)

 -- Vincent Danjean <vdanjean@debian.org>  Sun, 03 Jan 2021 19:47:04 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                      inkscape (>= 1.0~rc1),
                      ghostscript,
                      texlive-fonts-recommended
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/debian/latex-make
 Vcs-Git: https://salsa.debian.org/debian/latex-make.git
 Homepage: https://gitlab.inria.fr/latex-utils/latex-make

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	./configure --prefix=/usr --texmf-prefix=/usr/share/texmf

override_dh_install:
	dh_install
	dh_installtex

override_dh_missing:
	dh_missing --fail-missing

# lualatex needs a writable HOME directory (see #855930)
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	mkdir -p $(CURDIR)/temp_home
	env HOME=$(CURDIR)/temp_home dh_auto_test --
endif

override_dh_auto_clean:
	$(RM) -rf $(CURDIR)/temp_home
	dh_auto_clean

## latex-make 2.4.3

=== Makefile ===
ifeq ($(filter else-if,$(.FEATURES)),)
$(error GNU Make 3.81 or latter needed. Please, update your software.)
	exit 1
endif

.PHONY: all install clean distclean dist ctan

-include config.mk

PKGNAME=latex-make

all:
	$(MAKE) -C src doc

check: all
	$(MAKE) -C examples

install: all
	$(MAKE) -C src $@

clean distclean::
	-$(MAKE) -C examples $@
	-$(MAKE) -C MacOSX $@
	-$(MAKE) -C ctan $@
	$(MAKE) -C src $@

distclean::
	$(RM) config.mk

VERSION=$(shell cat VERSION)

check-version:
	@echo 'grep "[0-9] v" src/*.dtx | grep -v " v$(VERSION)"'
	@if grep "[0-9] v" src/*.dtx | grep -v " v$(VERSION)"; then \
		printf "\nSome versions have not been updated. Aborting.\n\n" ; \
		exit 1 ;\
	fi
	@echo 'grep "[0-9] v" src/*.dtx'
	@if test "$$(grep -h "[0-9] v" src/*.dtx | sed -e 's/\(^.*[0-9] v[0-9.]*\) .*/\1/' | uniq | wc -l)" != 1 ; then \
		printf "\nSome versions are different. Aborting.\n\n" ; \
		exit 1 ;\
	fi
	@echo 'head -1 Changelog | grep -v " $(VERSION)"'
	@if head -1 Changelog | grep -v " $(VERSION)"; then \
		printf "\nChangelog have not been updated. Aborting.\n\n" ; \
		exit 1 ;\
	fi

dist: check-version
	if [ -d .svn ]; then \
		$(MAKE) dist-svn; \
	elif [ -d .git ]; then \
		$(MAKE) dist-git; \
	else \
		echo "No way to build dist without SCM"; \
		exit 1; \
	fi
	$(MAKE) dist-ctan

dist-svn:
	if [ "$$(svn st)" != "" ] ;then svn st ; exit 1 ; fi
	svn export . $(PKGNAME)-$(VERSION)
	tar cvzf $(PKGNAME)-$(VERSION).tar.gz $(PKGNAME)-$(VERSION)
	rm -rf $(PKGNAME)-$(VERSION)

dist-git:
	if ! LC_ALL=C git status | grep -sq '^nothing to commit' ; then git status ; exit 1 ; fi
	git archive --format=tar --prefix=$(PKGNAME)-$(VERSION)/ HEAD | gzip -9 > $(PKGNAME)-$(VERSION).tar.gz

dist-ctan: check-version
	$(MAKE) -C ctan

=== examples/Makefile ===

#COMPATIBILITY=true

# example-luatex must be compiled with lualatex
LU_lualatex-example_FLAVORS=LUALATEX

all: pdf

example.pdf:

example.ps:

traces-tsi.pdf_DEPENDS = eps/paje.pdf

clean::
	$(RM) eps/paje.pdf

export TEXMFHOME:=texmf
include texmf/scripts/latex-make/LaTeX.mk

clean::
	$(RM) $(BIB_SLAVES)

distclean::
	$(MAKE) LaTeX-Make-local-uninstall TEXMF_INSTALL_ROOT_DIR=texmf
	$(RM) -rv texmf

../src/LaTeX.mk:
	$(MAKE) -C ../src

texmf/scripts/latex-make/LaTeX.mk: ../src/LaTeX.mk
	$(MAKE) -f ../src/LaTeX.mk MAKE="$(MAKE) -f ../src/LaTeX.mk" LaTeX-Make-local-install TEXMF_INSTALL_ROOT_DIR=texmf TEXINPUTS=../src TEXMFSCRIPTS=../src

=== src/Makefile ===

####[ Check Software ]################################################
ifeq ($(filter else-if,$(.FEATURES)),)
$(error GNU Make 3.81 needed. Please, update your software.)
	exit 1
endif

####[ Default installation ]##########################################
-include ../config.mk

prefix ?= /usr/local

texmf_prefix ?= $(prefix)/share/texmf

PKGNAME=latex-make

INCLUDEDIR=$(prefix)/include

LATEXDIR=$(texmf_prefix)/tex/latex/$(PKGNAME)
LATEXCFGDIR=$(texmf_prefix)/tex/latex/$(PKGNAME)
DOCDIR=$(texmf_prefix)/doc/latex/$(PKGNAME)
SCRIPTSDIR=$(texmf_prefix)/scripts/$(PKGNAME)

SCRIPTS=figdepth.py gensubfig.py svg2dev.py svgdepth.py latexfilter.py
INCFILES=LaTeX.mk
STYFILES= *.sty
CFGFILES= *.cfg
DOCFILES= *.pdf


####[ Targets ]######################################################

all: generate

.PHONY: all generate install

GENFILES= figlatex.sty figlatex.cfg texgraphicx.sty \
		pdfswitch.sty texdepends.sty \
		LaTeX.mk LaTeX.mk.conf $(SCRIPTS)

DTX_SOURCES=$(wildcard *.dtx)

generate: $(GENFILES)

install: $(GENFILES) doc
	install -m 755 -d $(DESTDIR)$(LATEXDIR)
	install -m 644 $(STYFILES) $(DESTDIR)$(LATEXDIR)
	install -m 755 -d $(DESTDIR)$(LATEXCFGDIR)
	install -m 644 $(CFGFILES) $(DESTDIR)$(LATEXCFGDIR)
	install -m 755 -d $(DESTDIR)$(SCRIPTSDIR)
	install -m 755 $(SCRIPTS) $(DESTDIR)$(SCRIPTSDIR)
	install -m 644 $(INCFILES) $(DESTDIR)$(SCRIPTSDIR)
	install -m 755 -d $(DESTDIR)$(INCLUDEDIR)
	ln -sf $(SCRIPTSDIR)/LaTeX.mk $(DESTDIR)$(INCLUDEDIR)/
	install -m 755 -d $(DESTDIR)$(DOCDIR)
	install -m 644 $(DOCFILES) $(DESTDIR)$(DOCDIR)
	if [ -w $(DESTDIR)$(texmf_prefix)/ls-R ]; then texhash $(DESTDIR)$(texmf_prefix) ; fi


$(GENFILES): stamp.latex-make

stamp.latex-make $(CURDIR)/LaTeX.mk: latex-make.ins $(DTX_SOURCES)
	latex latex-make.ins
	chmod +x $(SCRIPTS)
	touch $@
	sed -i.bak \
		-e 's|^\(_LaTeX_Make_BINORIGDIR=\).*|\1$(SCRIPTSDIR)|' \
		-e 's|^\(_LaTeX_Make_TEXORIGDIR=\).*|\1$(LATEXDIR)|' \
		LaTeX.mk
	$(RM) LaTeX.mk.bak

distclean::
	$(RM) $(GENFILES) stamp.latex-make

clean::
	$(RM) latex-make.log

doc: pdf

LU_MASTERS=figlatex texdepends latex-make  #pdfswitch texdepends

DEPENDS=LaTeX.mk $(SCRIPTS)
latex-make_MAIN=latex-make.dtx
figlatex_MAIN=figlatex.dtx
texdepends_MAIN=texdepends.dtx

# use local files by default
export TEXINPUTS:=.$(addprefix :,$(TEXINPUTS))::
export TEXMFSCRIPTS:=.$(addprefix :,$(TEXMFSCRIPTS))::

#LATEX=latex -v

# Force using local LaTeX.mk and not system-wide LaTeX.mk if already installed

include $(CURDIR)/LaTeX.mk

=== MacOSX/latex-make/Makefile ===

all: package

include ../package.mk

package: $(PACKAGE_NAME).pkg

$(PACKAGE_NAME).pkg: Info.plist Description.plist \
	Install_resources/License.txt Install_resources/License.txt \
	Install_resources/Welcome.txt Package_contents

Package_contents:
	$(RM) -r $@
	$(MAKE) -C ../.. install DESTDIR=$(CURDIR)/$@ \
		texmf_prefix='/usr/local/texlive/texmf-local' \
		prefix='/usr/local'

Install_resources/License.txt: ../../COPYING
	cp $< $@

Install_resources/Welcome.txt: plist/Welcome.txt.start ../../INSTALL
	cat plist/Welcome.txt.start > $@
	sed -e '/REQUIREMENTS/,$$p;d' < ../../INSTALL >> $@

.PHONY: distclean clean all package

clean::
	$(RM) -r Package_contents Info.plist \
		Description.plist \
		Install_resources/License.txt \
		Install_resources/Welcome.txt

=== debian/changelog ===
latex-make (2.4.3-1) unstable; urgency=medium

  * new upstream release
  * refresh debian patches
  * Standards-Version: 4.6.0 (no changes needed)

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 26 Oct 2021 16:10:52 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                      inkscape (>= 1.0~rc1),
                      ghostscript,
                      texlive-fonts-recommended
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian/latex-make
 Vcs-Git: https://salsa.debian.org/debian/latex-make.git
 Homepage: https://gitlab.inria.fr/latex-utils/latex-make

=== debian/watch ===
# adapted from https://wiki.debian.org/debian/watch#Gitlab
version=4
https://gitlab.inria.fr/latex-utils/latex-make/tags?sort=updated_desc archive/v@ANY_VERSION@/latex-make-v\d\S*@ARCHIVE_EXT@
